Subject: Re: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Feb 2023 18:43:18 +0200

> Cc: [email-masked], [email-masked]
> From: João Távora <[email-masked]>
> Date: Tue, 28 Feb 2023 14:24:01 +0000
> 
> On Tue, Feb 28, 2023 at 2:10 PM Michael Albinus <[email-masked]> wrote:
> >
> > João Távora <[email-masked]> writes:
> >
> > Hi João,
> >
> > > At the very least, the documentation of tramp-remote-path should
> > > state that the variable doesn't take immediate effect and that
> > > something must be done (is it really restarting Emacs, or is there
> > > some M-x tramp-cleanup-* thing that has to be done?)
> > >
> > > So, if "anything goes", is such a minimal docstring patch
> > > acceptable?
> >
> > Sure. RTFM :-)
> 
> I didn't complain about the manual.  I complained about the
> variable docstring, which is what people read when changing a
> variable's value.  If you don't think there's a shortcoming
> there feel free to let me know and I won't waste my time.  I
> read your "patches welcome" as meaning that you welcomed
> patches to fix said shortcoming.  If you don't welcome
> patches, say "patches not welcome" instead.

Please be less belligerent, João.  Michael doesn't deserve this
unfriendly attitude.  Even if you disagree with his judgment.

Thanks in advance.